//
//  cocoa_zinsrechnerAppDelegate.m
//  cocoa_zinsrechner
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "ZinrechnerController.h"
#import "Zinsrechner.h"

@implementation ZinrechnerController

Zinsrechner *meinZinsrechner;

@synthesize kontostand;
@synthesize zinssatz;
@synthesize laufzeit;
@synthesize neuerKontostand;

@synthesize window;

- (void)applicationDidFinishLaunching:
  (NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (void)awakeFromNib
{ 
    // Ein Zinsrechner-Objekt erzeugen
    meinZinsrechner = [Zinsrechner alloc];
    [meinZinsrechner init];
}

- (IBAction)rechnen:(id)sender
{
    // Inhalte der Eingabefelder in Variablen einlesen
    float konto = [kontostand floatValue];
    float zins =  [zinssatz floatValue];
    int lauf =    [laufzeit intValue];
    // Eine neue Variable deklarieren
    float kontoNeu = 0;
    
    kontoNeu = 
    [meinZinsrechner berechneZinsen:konto:zins:lauf];
    
    // Den neuen Kontostand im Textfeld setzen.
    [neuerKontostand setFloatValue:kontoNeu];
}

- (void)dealloc
{
    [meinZinsrechner dealloc];
    [super dealloc];
}
@end
